"use strict";

exports.__esModule = true;
exports.fileExists = fileExists;
exports.fileExistsSync = fileExistsSync;

var _fs = require("fs");

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }

function handleError(e) {
  if (e.code === "ENOENT") {
    return false;
  } else {
    return undefined;
  }
}

function handleResult(result, options) {
  return result.isFile() || Boolean((options == null ? void 0 : options.includeDirectories) && result.isDirectory());
}

function fileExists(_x, _x2) {
  return _fileExists.apply(this, arguments);
}

function _fileExists() {
  _fileExists = _asyncToGenerator(function* (path, options) {
    return _fs.promises.stat(path).then(function (result) {
      return handleResult(result, options);
    })["catch"](function (e) {
      return handleError(e);
    });
  });
  return _fileExists.apply(this, arguments);
}

function fileExistsSync(path, options) {
  try {
    var result = (0, _fs.statSync)(path);
    return handleResult(result, options);
  } catch (e) {
    return handleError(e);
  }
}