"use strict";

exports.__esModule = true;
exports.removeFile = removeFile;
exports.removeFileSync = removeFileSync;

var _fs = require("fs");

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }

function handleError(err) {
  if (err.code === "ENOENT") {
    return true;
  } else if (err.code === "EPERM") {
    return false;
  } else {
    return undefined;
  }
}

function removeFile(_x) {
  return _removeFile.apply(this, arguments);
}

function _removeFile() {
  _removeFile = _asyncToGenerator(function* (path) {
    return _fs.promises.unlink(path).then(function () {
      return true;
    })["catch"](function (err) {
      return handleError(err);
    });
  });
  return _removeFile.apply(this, arguments);
}

function removeFileSync(path) {
  try {
    (0, _fs.unlinkSync)(path);
    return true;
  } catch (err) {
    return handleError(err);
  }
}