"use strict";

exports.__esModule = true;
exports["default"] = addTerminatingNewline;

var _detectNewline3 = _interopRequireDefault(require("detect-newline"));

var _endsWithString = _interopRequireDefault(require("ends-with-string"));

var _ = require("./");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function addTerminatingNewlineToBuffer(input, options) {
  var _ref, _detectNewline;

  var newline = (_ref = (_detectNewline = (0, _detectNewline3["default"])(input.toString())) != null ? _detectNewline : options == null ? void 0 : options["default"]) != null ? _ref : _.lineFeed;

  if ((0, _endsWithString["default"])(input, newline)) {
    return input;
  } else {
    return Buffer.concat([input, Buffer.from(newline)]);
  }
}

function addTerminatingNewlineToString(input, options) {
  var _ref2, _detectNewline2;

  var newline = (_ref2 = (_detectNewline2 = (0, _detectNewline3["default"])(input)) != null ? _detectNewline2 : options == null ? void 0 : options["default"]) != null ? _ref2 : _.lineFeed;

  if ((0, _endsWithString["default"])(input, newline)) {
    return input;
  } else {
    return input + newline;
  }
}

function addTerminatingNewline(input, options) {
  var content = input;

  if ((0, _.isBuffer)(content)) {
    return addTerminatingNewlineToBuffer(content, options);
  } else {
    return addTerminatingNewlineToString(content, options);
  }
}