/// <reference types="node" />
export declare type Options = {
    /**
     * Recursively create parent directories if needed. Default: `true`
     */
    recursive?: boolean;
    /**
     * Ensure file ends with a newline. Default: `true`
     */
    appendNewline?: boolean;
    /**
     * Write even if file already exists. Default: `true`
     */
    overwrite?: boolean;
};
export declare function writeFile(path: string, content?: string | Buffer, options?: Options): Promise<boolean>;
export declare function writeFileSync(path: string, content?: string | Buffer, options?: Options): boolean;
