"use strict";

exports.__esModule = true;
exports.writeJSON = writeJSON;
exports.writeJSONSync = writeJSONSync;

var _writeFileSafe = require("write-file-safe");

var _stringifyJsonObject = _interopRequireWildcard(require("stringify-json-object"));

exports.JSONObject = _stringifyJsonObject.JSONObject;

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }

function writeJSON(_x, _x2, _x3) {
  return _writeJSON.apply(this, arguments);
}

function _writeJSON() {
  _writeJSON = _asyncToGenerator(function* (path, content, options) {
    var _options$pretty2;

    return (0, _writeFileSafe.writeFile)(path, (0, _stringifyJsonObject["default"])(content, (_options$pretty2 = options == null ? void 0 : options.pretty) != null ? _options$pretty2 : true), {
      recursive: options == null ? void 0 : options.recursive,
      appendNewline: options == null ? void 0 : options.appendNewline
    });
  });
  return _writeJSON.apply(this, arguments);
}

function writeJSONSync(path, content, options) {
  var _options$pretty;

  return (0, _writeFileSafe.writeFileSync)(path, (0, _stringifyJsonObject["default"])(content, (_options$pretty = options == null ? void 0 : options.pretty) != null ? _options$pretty : true), {
    recursive: options == null ? void 0 : options.recursive,
    appendNewline: options == null ? void 0 : options.appendNewline
  });
}